<?php
declare(strict_types=1);

namespace WP_AUX\Enum;

use WP_AUX\Interfaces\OptionsEnumInterface;
use WP_AUX\Traits\EnumTraits;

enum CardsMediaEnum: string implements OptionsEnumInterface
{
  use EnumTraits;

  case None = 'none';
  case Icon = 'icon';
  case Image = 'image';

  public const SETTING_LABEL = 'AUX card media';

  public function label(): string
  {
    return match($this) {
      self::None => 'None',
      self::Icon => 'Icon',
      self::Image => 'Image',
    };
  }
}
